Subject: Re: bug#40652: #36924 way solves the problem for me

From: Guillaume Le Vaillant <[email-masked]>
Date: Thu, 16 Apr 2020 11:24:38 +0200

Guillaume Le Vaillant <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> skribis:
>
>> Hi Guillaume,
>>
>> Guillaume Le Vaillant <[email-masked]> skribis:
>>
>>> I don't know if it's related, but recently I had GDM crashes at boot
>>> after reconfiguring a system using gdm-service-type (generation n) to
>>> make it use slim-service-type instead (generation n+1), and then
>>> reconfiguring to gdm-service-type again (generation n+2).
>>>
>>> The problem was that the 'gdm' user id number (or group id number) was
>>> not the same in generations n and n+2, which prevented GDM from
>>> accessing the '/var/lib/gdm' directory.
>>
>> When did that happen?
>>
>> Commit a43e9157ef479e94c19951cc9d228cf153bf78ee (Sep. 2019) supposedly
>> ensures that /var/lib/gdm has proper ownership.
>>
>> Thanks,
>> Ludo’.
>
> I think it was around 2 weeks ago.

Concerning the service extensions of gdm-service-type, is it guaranteed
that %gdm-activation will be run after %gdm-accounts and not before?
If it's not the case it could explain the problem...